# ai_bridge.cpp File Reference

Implementation of AIBridge. More...

`#include "ai_bridge.hpp"`
`#include "ai_rail.hpp"`
`#include "../ai_instance.hpp"`
`#include "../../bridge_map.h"`
`#include "../../strings_func.h"`
`#include "../../economy_func.h"`
`#include "../../date_func.h"`

Go to the source code of this file.

## Functions

static void | _DoCommandReturnBuildBridge2 (class AIInstance *instance)
static void | _DoCommandReturnBuildBridge1 (class AIInstance *instance)

## Detailed Description

Implementation of AIBridge.

Definition in file ai_bridge.cpp.